Posted by Andrenk
Photon

Incompatible Versions

Hi, I have the commercial version of teamviewer 12 and serve more than 300 clients remotely, some clients upgrade to version 14 and I get no access for lack of compatibility. Is there a way to remotely downgrade this client? Thank you very much in advance.

1 Reply
1 Reply
Posted by Moderator Moderator
Moderator

Re: Incompatible Versions

Hello @Andrenk

Thank you for your message.

Unfortunately, it is not possible to downgrade the versions of TeamViewer clients.

However, to avoid this in the future, we highly recommend you to set up a TeamViewer policy that prevents the update.

The policy you need need to add is: Install new versions automatically.
Please set up this on No automatic updates.

All the TeamViewer client you are managing won't update automatically and stay in version 12.

I hope this could help. If not, do not hesitate to ask your questions here.

Cheers,

Jean

French Community Moderator
Did my reply answer your question ? Accept it as a solution to help others.
Find this helpful ? Say thanks by clicking on the Thumbs Up button.